classification
Title: Update doc for starmap_async error_back kwarg
Type: behavior Stage: resolved
Components: Documentation Versions: Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Mariatta, docs@python, tamas
Priority: normal Keywords: easy, patch

Created on 2017-08-29 20:13 by tamas, last changed 2017-10-30 18:48 by Mariatta. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 4168 merged pablogsal, 2017-10-29 18:33
PR 4177 merged python-dev, 2017-10-30 18:39
Messages (4)
msg300999 - (view) Author: tamas (tamas) Date: 2017-08-29 20:13
The documentation suggests that multiprocessing.pool.Pool. starmap_async has a kwarg called 'error_back', but it actually has a kwarg called 'error_callback' to handle errors, just like map_async.

Link:
https://docs.python.org/3.7/library/multiprocessing.html#multiprocessing.pool.Pool.starmap_async
msg305244 - (view) Author: Mariatta Wijaya (Mariatta) * (Python committer) Date: 2017-10-30 18:39
New changeset 11225753a89c2907bb717e6c050fe907e5e11829 by Mariatta (Pablo Galindo) in branch 'master':
bpo-31304: Update starmap_async documentation. (GH-4168)
https://github.com/python/cpython/commit/11225753a89c2907bb717e6c050fe907e5e11829
msg305245 - (view) Author: Mariatta Wijaya (Mariatta) * (Python committer) Date: 2017-10-30 18:47
New changeset 2702380870b63ebe0161dfa29a2d0a3de02401b4 by Mariatta (Miss Islington (bot)) in branch '3.6':
bpo-31304: Update starmap_async documentation. (GH-4168) (GH-4177)
https://github.com/python/cpython/commit/2702380870b63ebe0161dfa29a2d0a3de02401b4
msg305246 - (view) Author: Mariatta Wijaya (Mariatta) * (Python committer) Date: 2017-10-30 18:48
This has been fixed. Thanks!
History
Date User Action Args
2017-10-30 18:48:42Mariattasetstatus: open -> closed
resolution: fixed
messages: + msg305246

stage: patch review -> resolved
2017-10-30 18:47:41Mariattasetmessages: + msg305245
2017-10-30 18:39:40python-devsetpull_requests: + pull_request4147
2017-10-30 18:39:31Mariattasetnosy: + Mariatta
messages: + msg305244
2017-10-29 18:33:02pablogsalsetkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request4137
2017-10-29 04:10:02berker.peksagsetkeywords: + easy
stage: needs patch
versions: + Python 3.7
2017-08-29 20:13:31tamascreate